//Copyright (C) Ben Parbury - All Rights Reserved. Unauthorized copying of this file, via any medium is strictly prohibited. Written by Ben Parbury <ben@gridlockinteractive.com> 2014

var gSetManager = new SetManager();

function SetManager()
{
	this.setInfo = new Array();
	
	this.Get = function(name)
	{
		if (this.setInfo[name])
		{
			return this.setInfo[name];
		}
		
		return this.setInfo["default"];
	}
	
	this.Add = function(name, setInfo)
	{
		this.setInfo[name] = setInfo;
	}
									//			r, g, b
	this.Add("green",				new SetInfo(0, 255, 0));
	
	this.Add("vanilla",				new SetInfo(0, 255, 128));
	this.Add("restraint",			new SetInfo(0, 255, 192));
	this.Add("switch",				new SetInfo(0, 255, 255));
	this.Add("vanilla2",			new SetInfo(0, 255, 128));
	this.Add("constraint",			new SetInfo(0, 255, 64));
	this.Add("fading",				new SetInfo(255, 0, 255));
	
	this.Add("blue",				new SetInfo(0, 96, 255));
	
	this.Add("static",				new SetInfo(0, 127, 255));
	this.Add("opposites",			new SetInfo(0, 192, 255));
	this.Add("polyomino",			new SetInfo(255, 0, 196));
	this.Add("wildblocks",			new SetInfo(255, 0, 127));
	this.Add("switch2",				new SetInfo(0, 255, 255));
	this.Add("fading2",				new SetInfo(255, 0, 255));
	this.Add("polyomino2",			new SetInfo(255, 0, 196));
	
	this.Add("red",					new SetInfo(255, 0, 0));
	
	this.Add("polyswitch",			new SetInfo(255, 64, 0));
	this.Add("tricksy",				new SetInfo(192, 0, 255));
	this.Add("wildblocks2",			new SetInfo(255, 0, 127));
	this.Add("vanilla3",			new SetInfo(0, 255, 128));
	this.Add("opposites2",			new SetInfo(0, 192, 255));
	this.Add("tricksy2",			new SetInfo(192, 0, 255));
	this.Add("polyswitch2",			new SetInfo(255, 64, 0));
	
	this.Add("arcade",				new SetInfo( 20, 200,  20));
	this.Add("default",				new SetInfo(210,   0, 158));
}

function SetInfo(r, g, b)
{
	this.r = r;
	this.g = g;
	this.b = b;
}
